Warning: file_exists(): open_basedir restriction in effect. File(/srv/http/vhosts/aur.archlinux.org/public/web/locale//en/LC_MESSAGES/aurweb.mo) is not within the allowed path(s): (/srv/http/vhosts/aur-dev.archlinux.org/:/etc/aurweb/) in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/streams.php on line 90
AUR (en) - python2-git

Notice: Undefined variable: name in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/pkgfuncs.inc.php on line 248

Package Details: python2-git 2.1.1-2

Git Clone URL: https://aur-dev.archlinux.org/python-git.git (read-only)
Package Base: python-git
Description: Python Git Library
Upstream URL: https://github.com/gitpython-developers/GitPython
Licenses: BSD
Conflicts: python2-gitpython
Provides: python2-gitpython=2.1.1-2
Submitter: carlwgeorge
Maintainer: carlwgeorge
Last Packager: carlwgeorge
Votes: 29
Popularity: 1.048201
First Submitted: 2015-09-30 21:34
Last Updated: 2017-01-07 02:14

Dependencies (4)

Required by (10)

Sources (1)

Latest Comments

sanerb commented on 2016-11-21 05:23

# Bug reports can be filed at https://bugs.square-r00t.net/index.php?project=3
# News updates for packages can be followed at https://devblog.square-r00t.net

(If you want an RSS-feed only pertaining to my AUR packages, you can subscribe to https://devblog.square-r00t.net/rss/?category=aur in your favourite RSS reader.)

Note that you should still use the AUR web interface for flagging packages as out-of-date if a new version is released; the aforementioned bug tracker is to aid in issues with building/packaging/the PKGBUILD formats/etc. specifically.

Thanks!

Dragonlord commented on 2014-12-14 17:28

pkgname=python2-gitpython
pkgver=0.3.2.1
pkgrel=1
pkgdesc="A python library used to interact with Git repositories"
arch=('any')
url="http://gitorious.org/git-python"
license=('BSD')
depends=('git' 'python2-gitdb')
makedepends=('python2-setuptools')
source=(http://pypi.python.org/packages/source/G/GitPython/GitPython-${pkgver}.tar.gz)
md5sums=('a8e8d3875d71c09993d078527d8c327e')

package() {
cd "${srcdir}"/GitPython-${pkgver}

python2 setup.py install --root="${pkgdir}" --optimize=1

install -Dm644 LICENSE "${pkgdir}"/usr/share/licenses/gitpython/LICENSE
}

sn4kebite commented on 2014-04-04 22:32

The dependencies for this package are now properly prefixed with python2 instead of python. I didn't add replaces since that would block any python 3 package if any were to be added. The correct way to upgrade should be to remove the old dependencies, then reinstall python2-gitpython (you would get file conflicts otherwise):

# pacman -R python2-gitpython python-gitdb python-async

Then reinstall python2-gitpython using your favorite AUR tool (install python2-async and python2-gitdb first, in this order, if you're installing manually).

Sorry for the trouble.

Nothing4You commented on 2014-04-04 20:57

==> Making package: python2-gitpython 0.3.2_rc1-1 (Fri Apr 4 22:57:00 CEST 2014)
==> WARNING: Using a PKGBUILD without a package() function is deprecated.

JonnyJD commented on 2013-03-14 06:38

Duplicate of https://aur.archlinux.org/packages/python2-gitpython/ (It's a library)

sn4kebite commented on 2012-03-27 17:01

New package uploaded here: https://aur.archlinux.org/packages.php?ID=58004

xyproto commented on 2012-03-26 11:35

Hi, please resubmit as python2-gitpython, as this is a library. Ref https://wiki.archlinux.org/index.php/Python_Package_Guidelines
I can then merge+delete this package (to keep votes and comments) into the new one, or you can ask for someone to merge it on the aur-general mailing list.
Thanks for maintaining.

Anonymous comment on 2011-07-03 21:26

Also requires setuptools (python2-distribute) to build.

widowild commented on 2010-11-22 19:33

http://pypi.python.org/packages/source/G/GitPython/GitPython-0.3.1.tar.gz